local lc = GetCVar('language.2')
local _GetItemStyleName = GetItemStyleName
local _GenerateMasterWritBaseText = GenerateMasterWritBaseText

-- Temporary hardcoded style table
styles = {}
styles['de'] = {
    [1] = 'Bretonen^p',
    [2] = 'Rothwardonen^p',
    [3] = 'Orks^p',
    [4] = 'Dunkelelfen^p',
    [5] = 'Nord^p',
    [6] = 'Argonier^p',
    [7] = 'Hochelfen^p',
    [8] = 'Waldelfen^p',
    [9] = 'Khajiit^p',
    [11] = 'Diebesgilde^f',
    [12] = 'dunkle Bruderschaft^fc',
    [13] = 'Malacath^M',
    [14] = 'Dwemer^p',
    [15] = 'alte Elfen^p',
    [16] = 'Orden der Stunde^m',
    [17] = 'Barbaren^p',
    [19] = 'Wilde^p',
    [20] = 'Daedra^p',
    [21] = 'Trinimac^M',
    [22] = 'Orkahnen^p',
    [23] = 'Dolchsturz-Bündnis^n',
    [24] = 'Ebenherz-Pakt^m',
    [25] = 'Aldmeri-Dominion^n',
    [26] = 'Söldner^p',
    [27] = 'Himmlische^p',
    [28] = 'Glasit^n',
    [29] = 'Xivkyn^p',
    [30] = 'Seelenberaubte^p',
	[31] = 'Draugr^p',
	[32] = 'Maormer^p',
	[33] = 'Akaviri^p',
	[34] = 'Kaiserliche^p',
	[35] = 'Yokudaner^p',
	[37] = 'Reikwinter^p',
	[39] = 'Minotauren^p',
	[40] = 'Ebenerz^n',
	[41] = 'Abahs Wacht^Fg',
	[42] = 'Gestaltwandler^p',
	[43] = 'Morag Tong^f',
	[44] = 'Ro\'Wada^p',
	[45] = 'dro-m\'Athra^p',
	[46] = 'Assassinenbund^m',
	[47] = 'Gesetzlose^p',
	[48] = 'Redoran^p',
	[49] = 'Hlaalu^p',
	[50] = 'kriegerische Ordinatoren^p',
	[51] = 'Telvanni^p',
	[52] = 'Kriegswappenträgger^p',
	[53] = 'Frostwirker^p',
	[54] = 'Aschländer^p',
	[55] = 'Wurmkult^m',
	[56] = 'Seidenringg^m',
	[57] = 'Mazzatun^M',
	[58] = 'grimmiger Harlekin^m',
	[59] = 'Kürbisfratze^M',
	[61] = 'Blutquellschmiede^f',
	[62] = 'Grauenshorn-Klan^m'
}

-- Fix item style display in crafting UI and most addons
GetItemStyleName = function(id)
    local res = _GetItemStyleName(id)
    if res ~= nil and res ~= '' then return res end
    if styles[lc] ~= nil then res = styles[lc][id] end
    if res ~= '' then return res end
    return 'Style ' .. id
end

-- Fix item style display in writ UI
-- Not working. :(
--[[GenerateMasterWritBaseText = function(link)
    local res = _GenerateMasterWritBaseText(link)
    local id = string.match('|H1:item:121531:6:1:0:0:0:65:192:5:80:13:26:0:0:0:0:0:0:0:0:485100|h|h','|H1:item:%d+:%d+:%d+:%d+:%d+:%d+:%d+:%d+:%d+:%d+:%d+:(%d+)')
    if id == nil then return res end
    id = tonumber(id)
    if id > 0 and _GetItemStyleName(id) == '' then
        res = res:gsub('Stil:', 'Stil: ' .. zo_strformat('<<C:1>>', GetItemStyleName(id)))
    end
    return res
end]]--